relaxngcc.grammar

## Interface NameClassFunction

All Known Implementing Classes:
  NameTestBuilder

    public interface NameClassFunction

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Method Summary

Methods
`java.lang.Object` `anyName(NameClass except)`
`java.lang.Object` `choice(NameClass nc1, NameClass nc2)`
`java.lang.Object` `name(java.lang.String ns, java.lang.String local)`
`java.lang.Object` `nsName(java.lang.String ns, NameClass except)`

### Method Detail

#### choice

    java.lang.Object choice(NameClass nc1,
                          NameClass nc2)

#### nsName

    java.lang.Object nsName(java.lang.String ns,
                          NameClass except)

#### anyName

    java.lang.Object anyName(NameClass except)

#### name

    java.lang.Object name(java.lang.String ns,
                        java.lang.String local)